import { renderless, api } from '@opentinyvue/vue-renderless/slider/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import Input from '@opentinyvue/vue-input';
import '@opentinyvue/vue-theme/slider/index.css';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["update:modelValue", "change", "start", "stop"],
  props: [].concat(props, ["modelValue", "disabled", "max", "min", "vertical", "step", "numPages", "showTip", "marks", "showInput", "unit", "height", "range", "formatTooltip", "changeCompat"]),
  components: {
    TinyInput: Input
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-slider-container",
    class: [!_vm.vertical && "tiny-slider-container__horizontal"]
  }, [_c("div", {
    ref: "slider",
    class: ["tiny-slider", {
      "tiny-slider__vertical": _vm.vertical,
      disabled: _vm.state.disabled
    }, !_vm.showInput || _vm.state.isDouble ? _vm.state.showAutoWidth ? "show-auto-width" : "" : ""],
    style: {
      height: _vm.vertical ? _vm.height : ""
    },
    attrs: {
      "role": "tiny-slider"
    },
    on: {
      "mousedown": _vm.bindMouseDown
    }
  }, [_c("transition", {
    attrs: {
      "appear": "",
      "appear-class": "custom-appear-class"
    },
    on: {
      "before-appear": _vm.customBeforeAppearHook,
      "after-appear": _vm.customAfterAppearHook
    }
  }, [_c("div", {
    class: ["tiny-slider__range", _vm.vertical ? "tiny-slider__down" : "tiny-slider__left"],
    style: _vm.state.barStyle
  })]), _vm.state.leftBtnShow ? _c("div", {
    staticClass: "tiny-slider__handle",
    class: {
      "handle-focus": _vm.state.activeIndex === 0
    },
    style: _vm.state.leftBtnStyle,
    attrs: {
      "tabindex": "0"
    },
    on: {
      "mouseenter": _vm.displayTip,
      "mouseleave": _vm.hideTip,
      "keydown": _vm.bindKeyDown
    }
  }, [_c("svg", {
    staticClass: "tiny-slider-left-svg",
    attrs: {
      "viewBox": "0 0 1024 1024"
    }
  }, [_c("path", {
    staticClass: "tiny-slider-left-svg",
    attrs: {
      "d": "M278.863 867.255c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-838.511c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v838.511zM3.17 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055zM554.555 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055z"
    }
  })])]) : _vm._e(), _vm.state.rightBtnShow ? _c("div", {
    staticClass: "tiny-slider__handle",
    class: {
      "handle-focus": _vm.state.activeIndex === 1
    },
    style: _vm.state.rightBtnStyle,
    attrs: {
      "tabindex": "0"
    },
    on: {
      "mouseenter": _vm.displayTip,
      "mouseleave": _vm.hideTip,
      "keydown": _vm.bindKeyDown
    }
  }, [_c("svg", {
    staticClass: "tiny-slider-right-svg",
    attrs: {
      "viewBox": "0 0 1024 1024"
    }
  }, [_c("path", {
    staticClass: "tiny-slider-right-svg",
    attrs: {
      "d": "M278.863 867.255c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-838.511c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v838.511zM3.17 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055zM554.555 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055z"
    }
  })])]) : _vm._e(), _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.showTip && _vm.state.showTip,
      expression: "showTip && state.showTip"
    }],
    ref: "sliderTip",
    staticClass: "tiny-slider__tips",
    style: _vm.state.tipStyle
  }, [_vm._v(" " + _vm._s(_vm.state.tipValue) + " ")]), _vm.state.markList ? _c("div", _vm._l(_vm.state.markList, function(mark) {
    return _c("span", {
      key: mark.value
    }, [_c("div", {
      staticClass: "tiny-slider__mark-point",
      style: mark.positionStyle
    }), _c("div", {
      staticClass: "tiny-slider__mark-label",
      style: mark.positionStyle
    }, [_vm._v(_vm._s(mark.label))])]);
  }), 0) : _vm._e()], 1), _vm.showInput ? [_c("div", {
    staticClass: "tiny-slider__input",
    class: {
      "is-disabled": _vm.state.disabled
    }
  }, [_vm._t("default", function() {
    return [!_vm.state.isDouble ? _c("tiny-input", {
      attrs: {
        "type": "text",
        "disabled": _vm.state.disabled
      },
      on: {
        "change": _vm.inputOnChange,
        "focus": _vm.handleSlotInputFocus,
        "blur": _vm.handleSlotInputBlur,
        "input": function input($event) {
          return _vm.handleSlotInput($event);
        }
      },
      model: {
        value: _vm.state.slotValue,
        callback: function callback($$v) {
          _vm.$set(_vm.state, "slotValue", $$v);
        },
        expression: "state.slotValue"
      }
    }) : [_c("tiny-input", {
      attrs: {
        "disabled": _vm.state.disabled
      },
      on: {
        "focus": _vm.handleSlotInputFocus,
        "blur": _vm.handleSlotInputBlur,
        "input": function input($event) {
          return _vm.handleSlotInput($event);
        }
      },
      model: {
        value: _vm.state.slotValue[0],
        callback: function callback($$v) {
          _vm.$set(_vm.state.slotValue, 0, $$v);
        },
        expression: "state.slotValue[0]"
      }
    }), _c("span", {
      staticClass: "tiny-slider__input__split"
    }, [_vm._v("-")]), _c("tiny-input", {
      attrs: {
        "disabled": _vm.state.disabled
      },
      on: {
        "focus": _vm.handleSlotInputFocus,
        "blur": _vm.handleSlotInputBlur,
        "input": function input($event) {
          return _vm.handleSlotInput($event, false);
        }
      },
      model: {
        value: _vm.state.slotValue[1],
        callback: function callback($$v) {
          _vm.$set(_vm.state.slotValue, 1, $$v);
        },
        expression: "state.slotValue[1]"
      }
    })], _c("span", {
      staticClass: "tiny-slider__input__unit"
    }, [_vm._v(_vm._s(_vm.unit))])];
  }, {
    "slotScope": _vm.state.slotValue
  })], 2)] : _vm._e()], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
